## ros-humble-urdf-test 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urdf_test)

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)

ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()


install(PROGRAMS
  scripts/test_urdf.py
  DESTINATION lib/${PROJECT_NAME}
)

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

ament_auto_package()

=== debian/changelog ===
ros-humble-urdf-test (2.0.1-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request qa/urdf_test!7
  * clean ros1 files
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request qa/urdf_test!6
  * update copyright
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request qa/urdf_test!5
  * update maintainers
  * Merge branch 'tests' into 'humble-devel'
    fix linter errors
    See merge request qa/urdf_test!4
  * linters
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Oct 2022 22:00:00 -0000

ros-humble-urdf-test (2.0.0-1jammy) jammy; urgency=high

  * ROS2 migration
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Jun 2021 22:00:00 -0000

ros-humble-urdf-test (1.0.4-1jammy) jammy; urgency=high

  * Merge branch 'add-test-suffix' into 'master'
    Add test suffix
    See merge request qa/urdf_test!2
  * Add test suffix
  * Merge branch 'fix-package-dependency' into 'master'
    Fix package dependencies
    See merge request !1
  * Fix package dependencies
  * Contributors: Victor Lopez, davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Dec 2018 23:00:00 -0000

ros-humble-urdf-test (1.0.3-1jammy) jammy; urgency=high

  * Rewrite in python for simplicity
  * Fix dependencies
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-humble-urdf-test (1.0.2-1jammy) jammy; urgency=high

  * Fix build rule to match install rule
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-humble-urdf-test (1.0.1-1jammy) jammy; urgency=high

  * Fix installation rules
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-humble-urdf-test (1.0.0-1jammy) jammy; urgency=high

  * Initial import
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-humble-urdf-test
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto, ros-humble-ament-lint-common, ros-humble-rclpy, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-urdf-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclpy, ros-humble-ros-workspace
Description: The urdf_test package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-urdf-test//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-urdf-test 2.0.3

=== debian/changelog ===
ros-humble-urdf-test (2.0.3-1bookworm) bookworm; urgency=high

  * Fix deprecated QOS warning
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Mar 2024 16:00:00 -0000

ros-humble-urdf-test (2.0.2-1bookworm) bookworm; urgency=high

  * Add website tag
  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-urdf-test (2.0.1-1bookworm) bookworm; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request qa/urdf_test!7
  * clean ros1 files
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request qa/urdf_test!6
  * update copyright
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request qa/urdf_test!5
  * update maintainers
  * Merge branch 'tests' into 'humble-devel'
    fix linter errors
    See merge request qa/urdf_test!4
  * linters
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Oct 2022 16:00:00 -0000

ros-humble-urdf-test (2.0.0-1bookworm) bookworm; urgency=high

  * ROS2 migration
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Jun 2021 16:00:00 -0000

ros-humble-urdf-test (1.0.4-1bookworm) bookworm; urgency=high

  * Merge branch 'add-test-suffix' into 'master'
    Add test suffix
    See merge request qa/urdf_test!2
  * Add test suffix
  * Merge branch 'fix-package-dependency' into 'master'
    Fix package dependencies
    See merge request !1
  * Fix package dependencies
  * Contributors: Victor Lopez, davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Dec 2018 16:00:00 -0000

ros-humble-urdf-test (1.0.3-1bookworm) bookworm; urgency=high

  * Rewrite in python for simplicity
  * Fix dependencies
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jul 2017 16:00:00 -0000

ros-humble-urdf-test (1.0.2-1bookworm) bookworm; urgency=high

  * Fix build rule to match install rule
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jul 2017 16:00:00 -0000

ros-humble-urdf-test (1.0.1-1bookworm) bookworm; urgency=high

  * Fix installation rules
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jul 2017 16:00:00 -0000

ros-humble-urdf-test (1.0.0-1bookworm) bookworm; urgency=high

  * Initial import
  * Contributors: davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 16 Jul 2017 16:00:00 -0000

=== debian/control ===
Source: ros-humble-urdf-test
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclpy, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/urdf_test
Standards-Version: 3.9.2

Package: ros-humble-urdf-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclpy, ros-humble-ros-workspace
Description: The urdf_test package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-urdf-test//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-urdf-test//opt/ros/humble/opt/urdf_test/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
